Name:    cervisia
Summary: CVS frontend
Version: 23.08.4
Release:    1%{?dist}

License: GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-or-later
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Init)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5ItemViews)
BuildRequires: cmake(KF5Su)
BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5Widgets)

%{?kf5_kinit_requires}

Conflicts: kde-l10n < 17.03

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-cervisia = %{version}-%{release}

%description
Cervisia is a CVS frontend for KDE


%prep
%autosetup


%build
%cmake_kf5
%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-man


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.cervisia.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.cervisia.desktop


%files -f %{name}.lang
%license COPYING*
%doc ChangeLog README
%{_kf5_bindir}/cervisia
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_qtplugindir}/cervisiapart5.so
%{_kf5_libdir}/libkdeinit5_cervisia.so
%{_kf5_datadir}/applications/org.kde.cervisia.desktop
%{_kf5_metainfodir}/org.kde.cervisia.appdata.xml
%{_kf5_datadir}/config.kcfg/cervisiapart.kcfg
%{_kf5_datadir}/dbus-1/interfaces/org.kde.cervisia5.*.xml
%{_kf5_datadir}/kservices5/org.kde.cervisiapart5.desktop
%{_mandir}/man1/cervisia*
%{_kf5_bindir}/cvsaskpass
%{_kf5_bindir}/cvsservice5
%{_kf5_libdir}/libkdeinit5_cvsaskpass.so
%{_kf5_libdir}/libkdeinit5_cvsservice.so
%{_kf5_datadir}/knotifications5/cervisia.notifyrc
%{_kf5_datadir}/kservices5/org.kde.cvsservice5.desktop
%{_kf5_datadir}/kxmlgui5/cervisia/
%{_kf5_datadir}/kxmlgui5/cervisiapart/


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
